/***********************************************************************************************************************
 *
 * forceTen - open source geography
 * ================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://forceten.tidalwave.it
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: GeoTagManager.java,v 63c9c3d79538 2010/01/15 14:43:21 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.geo;

import javax.annotation.concurrent.ThreadSafe;
import java.io.IOException;
import javax.annotation.Nonnull;

/***********************************************************************************************************************
 *
 * @author Fabrizio Giudici
 * @version $Id: GeoTagManager.java,v 63c9c3d79538 2010/01/15 14:43:21 fabrizio $
 *
 **********************************************************************************************************************/
@ThreadSafe
public interface GeoTagManager 
  {
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public Coordinate findCoordinates (Object object)
      throws IOException;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public GeoTag findGeoTag (Object geoTaggable)
      throws GeoException;
  }
