/***********************************************************************************************************************
 *
 * forceTen - open source geography
 * ================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://forceten.tidalwave.it
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: GeoException.java,v 432868f2116d 2009/12/31 23:28:20 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.geo;

import javax.annotation.Nonnull;
import javax.annotation.concurrent.Immutable;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: GeoException.java,v 432868f2116d 2009/12/31 23:28:20 fabrizio $
 *
 ******************************************************************************/
@Immutable
public class GeoException extends Exception
  {
    public GeoException (final @Nonnull String message)
      {
        super(message);
      }

    public GeoException (final @Nonnull Throwable throwable)
      {
        super(throwable);
      }

    public GeoException (final @Nonnull String message, final @Nonnull Throwable throwable)
      {
        super(message, throwable);
      }
  }
